Bio::FastParsers::Hmmer::Table(3)

NAME
Bio::FastParsers::Hmmer::Table - Front-end class for tabular HMMER parser

VERSION
version 0.221230

SYNOPSIS
    use aliased 'Bio::FastParsers::Hmmer::Table';

    # open and parse HMMER report in tabular format
    my $infile = 'test/hmmer.tblout';
    my $report = Table->new( file => $infile );

    # loop through hits
    while (my $hit = $hit->next_hit) {
        my ($target_name, $evalue) = ($hit->target_name, $hit->evalue);
        # ...
    }

DESCRIPTION
    # TODO

ATTRIBUTES

  file
Path to HMMER report file in tabular format (--tblout) to be parsed

METHODS

  next_hit
Shifts the first Hit of the report off and returns it, shortening the report by 1 and moving everything down. If there are no more Hits in the report, returns "undef".

    # $report is a Bio::FastParsers::Hmmer::Table
    while (my $hit = $report->next_hit) {
        # process $hit
        # ...
    }

This method does not accept any arguments.

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Arnaud DI FRANCO <arnaud.difranco@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.